<?php

declare(strict_types=1);

namespace Drupal\media_crowdriff\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if a value represents a valid remote resource URL.
 *
 * @Constraint(
 *   id = "media_crowdriff",
 *   label = @Translation("Media Crowdriff resource", context = "Validation"),
 *   type = {"string"}
 * )
 */
class MediaCrowdriffConstraint extends Constraint {

  /**
   * The error message if the URL is empty.
   *
   * @var string
   */
  public $emptyUrlMessage = 'The embed code cannot be empty.';

  /**
   * The error message if the URL does not match.
   *
   * @var string
   */
  public $invalidUrlMessage = 'This does not appear to contain a valid Crowdriff ID. Double check against the code copied from the share or embed dialog in Crowdriff and try again.';

}
