<?php

declare(strict_types=1);

namespace Drupal\media_crowdriff\Plugin\media\Source;

use Drupal\media\MediaSourceBase;
use Drupal\media\MediaSourceFieldConstraintsInterface;

/**
 * A media source plugin for Crowdriff media embeds.
 *
 * @MediaSource(
 *   id = "media_crowdriff",
 *   label = @Translation("Media Crowdriff"),
 *   description = @Translation("A media source plugin for Crowdriff."),
 *   allowed_field_types = {"string_long"},
 *   default_thumbnail_filename = "generic.png",
 *   forms = {
 *     "media_library_add" = "Drupal\media_crowdriff\Form\MediaCrowdriffMediaForm"
 *   }
 * )
 */
class MediaCrowdriffSource extends MediaSourceBase implements MediaSourceFieldConstraintsInterface {

  /**
   * {@inheritdoc}
   */
  public function getMetadataAttributes() {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getSourceFieldConstraints() {
    return [
      'media_crowdriff' => [],
    ];
  }

}
